---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: openbooks
spec:
  selector:
    matchLabels:
      container: openbooks
  template:
    metadata:
      labels:
        container: openbooks
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - args:
        - ./openbooks
        - server
        - --dir
        - /books
        - --port
        - '80'
        - --persist
        - --name
        - ''
        env:
        - name: BASE_PATH
          value: /openbooks/
        image: evanbuss/openbooks:4.5.0
        name: openbooks
        volumeMounts:
        - mountPath: /books
          name: longhorn-tipi-media
          subPath: data/books/
      volumes:
      - name: longhorn-tipi-media
        persistentVolumeClaim:
          claimName: mirrored-admin-tipi-media
          readOnly: false

